The Spring Framework

## org.springframework.mock.web.portlet
Class MockPortletRequestDispatcher

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequestDispatcher

All Implemented Interfaces:
  javax.portlet.PortletRequestDispatcher

    public class MockPortletRequestDispatcher

extends Object
implements javax.portlet.PortletRequestDispatcher

Mock implementation of the `PortletRequestDispatcher` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletRequestDispatcher(String url)` Create a new MockPortletRequestDispatcher for the given URL.

Method Summary
`void` `include(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletRequestDispatcher

    public MockPortletRequestDispatcher(String url)

  Create a new MockPortletRequestDispatcher for the given URL.

  Parameters:
    `url` - the URL to dispatch to.

Method Detail

### include

    public void include(javax.portlet.RenderRequest request,
                        javax.portlet.RenderResponse response)
                 throws javax.portlet.PortletException,
                        IOException

  Specified by:
    `include` in interface `javax.portlet.PortletRequestDispatcher`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.